"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractAdapter = void 0;
class AbstractAdapter {
    constructor(server, database) {
        this.server = server;
        this.database = database;
        this.version = {
            name: 'UNKNOWN',
            version: '0.0.0',
            string: 'UNKNOWN 0.0.0',
        };
    }
    disconnect() {
        return Promise.resolve();
    }
    getVersion() {
        return this.version;
    }
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    listSchemas(filter) {
        return Promise.resolve([]);
    }
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    listViews(filter) {
        return Promise.resolve([]);
    }
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    listRoutines(filter) {
        return Promise.resolve([]);
    }
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    listTableTriggers(table, schema) {
        return Promise.resolve([]);
    }
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    listTableIndexes(table, schema) {
        return Promise.resolve([]);
    }
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    getTableReferences(table, schema) {
        return Promise.resolve([]);
    }
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    getTableKeys(table, schema) {
        return Promise.resolve([]);
    }
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    getQuerySelectTop(table, limit, schema) {
        return `SELECT * FROM ${this.wrapIdentifier(table)} LIMIT ${limit}`;
    }
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    getTableCreateScript(table, schema) {
        return Promise.resolve([]);
    }
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    getViewCreateScript(view, schema) {
        return Promise.resolve([]);
    }
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    getRoutineCreateScript(routine, type, schema) {
        return Promise.resolve([]);
    }
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    truncateAllTables(schema) {
        return Promise.resolve();
    }
}
exports.AbstractAdapter = AbstractAdapter;
