import type { AbstractAdapter } from './abstract_adapter';
import type { Database } from '../database';
import type { Server } from '../server';
export interface Adapter {
    key: string;
    name: string;
    protocol: string;
    adapter: typeof AbstractAdapter;
    defaultPort?: number;
    defaultDatabase?: string;
    disabledFeatures: string[];
}
/**
 * List of supported database adapters
 */
export declare const ADAPTERS: Adapter[];
export declare function registerAdapter(adapter: Adapter): void;
export declare function adapterFactory(adapterKey: string, server: Server, database: Database): AbstractAdapter;
