import type { Result } from 'sql-query-identifier';
export declare function readFile(filename: string): Promise<string>;
export declare function resolveHomePathToAbsolute(filename: string): string;
export declare function createCancelablePromise(timeIdle?: number): {
    wait: () => Promise<void>;
    cancel: () => void;
    discard: () => void;
};
/**
 * Compares two version strings.
 *
 * For two version strings, this fucntion will return -1 if the first version is smaller
 * than the second version, 0 if they are equal, and 1 if the second version is smaller.
 * However, this function will only compare up-to the smallest part of the version string
 * defined between the two, such '8' and '8.0.2' will be considered equal.
 */
export declare function versionCompare(a: string, b: string): -1 | 0 | 1;
export declare function identifyCommands(queryText: string): Result[];
export declare function appendSemiColon(query: string): string;
